PLASMAENGINEEXPLOR(1)

NAME
plasmaengineexplorer - Otsese ligipääsu pakkumine Plasma andmemootoritele

SYNOPSIS

plasmaengineexplorer [--height pikslid] [--width pikslid] [-x pikslid] [-y pikslid] [--engine nimi] [--source nimi] [--interval ms]

plasmaengineexplorer [KDE üldised võtmed] [Qt üldised võtmed]

KIRJELDUS

plasmaengineexplorer on graafiline tööriist, mis võimaldab arendajatel testida Plasma andmemootoreid ilma Plasma apletti kirjutamata.

Kui võtmeid ei anta, käivitub see ilma andmemootorita. Vajaliku andmemootori saab valida rippmenüüst.

Kasutada saab ainult paigaldatud andmemootoreid. Äsja paigaldatud andmemootorite tuvastamiseks võib olla vajalik kasutada käsku kbuildsycoca4.

VõTMED

--height pikslid
    Määrab akna kõrguse pikslites.

--width pikslid
    Määrab akna laiuse pikslites.

-x pikslid
    Määrab akna ülemise vasaku nurga X-koordinaadi pikslites.

-y pikslid
    Määrab akna ülemise vasaku nurga Y-koordinaadi pikslites.

--engine nimi
    Käivitab plasmaengineexploreri valitud andmemootoriga. Parameeter nimi on andmemootori sisesmine nimi, mis on kindlaks määratud desktop-faili võtmega X-KDE-PluginInfo-Name.

--source nimi
    Kasutatav ainult koos võtmega --engine. Nõuab andmemootorilt plasmaengineexploreri käivitamisel konkreetset allikat.

--interval aeg
    Määrab nõutud allikate vaikimisi uuendamise aja millisekundites. Kui seda pole määratud, uuendatakse allikat nõudmisel (mõne allika puhul võib see olla hetk, mil on saadaval uued andmed). Kui on antud võti --source, kasutatakse määratud uuendamisintervalli antud allika puhul.

VAATA KA

Põhjalikumat kasutaja dokumentatsiooni pakub help:/plasma (kirjuta see URL Konquerori või käivita käsuga khelpcenter help:/plasma).

NäITED

Kellaaja andmemootori laadimine, mis näitab kohalikku aega ja uueneb iga sekundi järel:

    plasmaengineexplorer --engine time --source Local --interval 1000

AUTORID

plasmaengineexplorer'i autor on Aaron Seigo <aseigo@kde.org>.